/*
 *    Copyright 2006-2023 the original author or authors.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       https://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
/**
 * This package contains summary classes.  These classes hold information
 * about parsed Java source.  Custom matchers in the
 * {@link org.mybatis.generator.eclipse.test.matchers}
 * package can be used to write expressive tests over these classes.
 * 
 * In general, we are only interested in high level information about parsed Java code:
 * annotations, classes, enum, interfaces and their associated inner annotations, classes, enums,
 * and interfaces as well as field names and method signatures.
 * 
 */
package org.mybatis.generator.eclipse.test.summary;
