/*
 *    Copyright 2006-2023 the original author or authors.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       https://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package org.mybatis.generator.eclipse.test.summary.support;

import org.eclipse.jdt.core.dom.AbstractTypeDeclaration;

public abstract class AbstractBodyElementSummarizer extends AbstractSummarizer {

    private AbstractTypeDeclaration node;
    
    public AbstractBodyElementSummarizer(AbstractTypeDeclaration node) {
        super(node);
        this.node = node;
    }
    
    public final String getName() {
        return node.getName().getFullyQualifiedName();
    }
}
